Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.formula
Class fRange

    java.lang.Object
      jet.connect.DbValue
          jet.formula.fArray
              jet.formula.fRange

Direct Known Subclasses:
  fBoolRange, fCurRange, fDateRange, fDateTimeRange, fIntRange, fNumRange, fStrRange, fTimeRange

    public abstract class fRange

extends fArray

if bNull attribute of the two elements of Range are not true, the Range is a valide Range. if value of any elements of Range is null, it means negative or positive infinite

Field Summary

Fields inherited from class jet.formula.fArray
`value`

Fields inherited from class jet.connect.DbValue
`bNull, CHAR_DESC, CURRENCY_DESC, DATE_DESC, desc, DOUBLE_DESC, INTEGER_DESC, TIME_DESC`

Constructor Summary
`fRange()`
`fRange(DbValue[] val, boolean b)`
`fRange(DbValue end, DbValue begin)`
`fRange(int arraysize)`

Method Summary
`java.lang.String` | `toString()` Convert the value to string.

Methods inherited from class jet.formula.fArray
`compareTo, equals, getArray, getInstance, getSpecialInstance, set, set, set, setValue`

Methods inherited from class jet.connect.DbValue
`clone, equals, getColDesc, getPrecision, getScale, getSqlType, isCurrency, isNull, makeDbValue, set, setColDesc, setfoo, setNull, setValue`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### fRange

    public fRange()

### fRange

    public fRange(int arraysize)

### fRange

    public fRange(DbValue end,
                  DbValue begin)

### fRange

    public fRange(DbValue[] val,
                  boolean b)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `DbValue`
  Convert the value to string.

  Overrides:
    `toString` in class `fArray`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD